%define php_extdir %(php-config --extension-dir 2>/dev/null || echo %{_libdir}/php4)
%define php_apiver %((echo %{default_apiver}; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)

%define php_name php

Summary:       Pinba is a realtime monitoring/statistics server for PHP using MySQL as a read-only interface. 
Name:          %{php_name}-pinba
Version:       1.0.0
Release:       6%{?dist}
Epoch:         77

License:       PHP License
Group:         Development/Languages
URL:           http://pinba.org/
Source:        http://pinba.org/files/pinba_extension-%{version}.tgz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:      php-api = %{php_apiver}
BuildRequires: %{php_name}-devel protobuf-devel

%description
Pinba is a realtime monitoring/statistics server for PHP using MySQL as a read-only interface.
It accumulates and processes data sent over UDP by multiple PHP processes and displays
statistics in a nice human-readable form of simple "reports", also providing read-only
interface to the raw data in order to make possible generation of more sophisticated reports
and stats.

With Pinba extension users also can measure particular parts of the code using timers with
arbitrary tags.

Pinba is not a debugging tool in a common sense, since you're not supposed to do debugging
on production servers, but its main goal is to help developers to monitor performance of PHP
scripts, locate bottlenecks in realtime and direct developers' attention to the code that
really needs it. 

%prep
%setup -q -c %{name}-%{version}
%{__mv} pinba*/* .

%build
%{_bindir}/phpize
%configure --with-pinba
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

%{__rm} -rf %{buildroot}/%{_includedir}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/pinba.ini << 'EOF'
; Enable pinba extension module
extension=pinba.so
pinba.enabled=1
pinba.server=127.0.0.1:3300
EOF

%check
# Check if the built extension can be loaded
%{_bindir}/php \
    -n -q -d extension_dir=modules \
    -d extension=pinba.so \
    --modules | grep pinba

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%config(noreplace) %{_sysconfdir}/php.d/pinba.ini
%{php_extdir}/pinba.so

%changelog
* Thu Sep 27 2012 Dmitry A. Koptev <koptev@gmail.com>
- update to pinba-1.0.0

* Sat Sep 24 2011 Builder <umask00@gmail.com> 77:0.0.6-1
- no changelogs
